# eric6.Plugins.VcsPlugins.vcsMercurial.QueuesExtension.HgQueuesQueueManagementDialog

Module implementing a dialog used by the queue management functions.

### Global Attributes

None

### Classes

HgQueuesQueueManagementDialog | Class implementing a dialog used by the queue management functions.

### Functions

None

## HgQueuesQueueManagementDialog

Class implementing a dialog used by the queue management functions.

### Derived from

QDialog, Ui_HgQueuesQueueManagementDialog

### Class Attributes

NAME_INPUT
NO_INPUT
QUEUE_INPUT

### Class Methods

None

### Methods

HgQueuesQueueManagementDialog | Constructor
__getQueuesList | Private method to get a list of all queues and the name of the active queue.
getData | Public slot to get the data.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_nameEdit_textChanged | Private slot to handle changes of the entered queue name.
on_queuesList_itemSelectionChanged | Private slot to handle changes of selected queue names.
refresh | Public slot to refresh the list of queues.

### Static Methods

None

#### HgQueuesQueueManagementDialog (Constructor)

HgQueuesQueueManagementDialog(mode, title, suppressActive, repodir, vcs, parent=None)

Constructor

mode
  mode of the dialog (HgQueuesQueueManagementDialog.NO_INPUT HgQueuesQueueManagementDialog.NAME_INPUT, HgQueuesQueueManagementDialog.QUEUE_INPUT)
title
  title for the dialog (string)
suppressActive
  flag indicating to not show the name of the active queue (boolean)
repodir
  name of the repository directory (string)
vcs
  reference to the vcs object
parent
  reference to the parent widget (QWidget)

Raises ValueError:
  raised to indicate an invalid dialog mode

#### HgQueuesQueueManagementDialog.__getQueuesList

__getQueuesList()

Private method to get a list of all queues and the name of the active queue.

Returns:
  tuple with a list of all queues and the name of the active queue (list of strings, string)

#### HgQueuesQueueManagementDialog.getData

getData()

Public slot to get the data.

Returns:
  queue name (string)

#### HgQueuesQueueManagementDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgQueuesQueueManagementDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot to handle changes of the entered queue name.

txt
  text of the edit (string)

#### HgQueuesQueueManagementDialog.on_queuesList_itemSelectionChanged

on_queuesList_itemSelectionChanged()

Private slot to handle changes of selected queue names.

#### HgQueuesQueueManagementDialog.refresh

refresh()

Public slot to refresh the list of queues.

Up